Loading...
Searching...
No Matches
nodeconcepts.hh File Reference
`#include <dune/common/typetraits.hh>`
`#include <dune/common/indices.hh>`
`#include <concepts>`
`#include <type_traits>`
`#include <utility>`

Go to the source code of this file.

## Namespaces

namespace | Dune
| Dune namespace
namespace | Dune::TypeTree
namespace | Dune::TypeTree::Concept

## Concepts

concept | Dune::TypeTree::Concept::TreeNode
| Model of a node of a typetree.
concept | Dune::TypeTree::Concept::StaticDegreeInnerTreeNode
| Model of an inner node of a typetree with compile time known degree and child access via index_constant.
concept | Dune::TypeTree::Concept::UniformInnerTreeNode
| Model of an inner node of a typetree with uniform nodes accessible via runtime index.
concept | Dune::TypeTree::Concept::InnerTreeNode
| Model of an inner tree node of a typetree (either static degree or uniform).
concept | Dune::TypeTree::Concept::LeafTreeNode
| Model of a leaf tree node of a typetree.